Repository 32bit  Forum
Repository 64bit  Wiki

ligpod e ipod nano6g

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

ligpod e ipod nano6g

Messaggioda conraid » ven feb 03, 2012 13:43

Ho un "favoloso" ipod nano 6g (ok ok... ma non l'ho comprato io, me l'ha mandato la apple in sostituzione del mio vecchio nano1g che era rotto ed a quanto pare "difettoso" dalla nascita) e non riesco ad usarlo con linux.
Nel sito di libgpod leggo che l'ultima versione stable non gestisce la versione 6g, quindi ho compilato la versione 0.8.2 in git e sembra riconoscere il dispositivo, ma poi con gtkpod mi da errore di checksum quando salvo la playlist (non so bene quale possa essere il problema)
Ora mi sto ricompilando amarok con la "nuova" libgpod, ma qualcuno ha provato ad usare ipodnano 6g o gli ultimi iphone (a quanto pare la apple ha cambiato qualcosa)?

p.s.
conoscere un lettore abbastanza "piccolo" e capiente (8g in su) compatibile con linux?

p.s.2
quasi quasi se trovo qualcuno che fa il cambio...
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: ligpod e ipod nano6g

Messaggioda conraid » ven feb 03, 2012 14:19

niente anche con amarok e libgpod aggiornate. Ora non da errore, le carica e se le seleziono dall'ipod le sento. Ma poi scollegando l'ipod dall'ipod stesso non le vedo, dice nessun brano, e poi ricollegandolo vedo lo spazio diminuito ma nessuna canzone. Va beh...
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: ligpod e ipod nano6g

Messaggioda metrofox » ven feb 03, 2012 21:10

Io ho compilato la libgpod abilitando hal... Ma l'errore che avevo non riguardava il checksum, prova...
Avatar utente
metrofox
Linux 2.6
Linux 2.6
 
Messaggi: 758
Iscritto il: gio ago 07, 2008 11:29
Slackware: slackware64-current
Kernel: 3.4.4-ck3
Desktop: FluxBox-1.3.1
Distribuzione: FreeBSD-8.1(amd64)

Re: ligpod e ipod nano6g

Messaggioda conraid » sab feb 04, 2012 13:25

Installando anche plist, usbmuxd, libtasn1, libimobiledevice, e quindi ricompilando lingpod ed amarok riesco ad inserirle, a vedere l'ipod come mass-storage, a vedere le canzoni dentro, etc... sembra tutto ok, ma... dall'ipod non vedo le canzone. E' come se non riuscisse ad aggiornare il database interno dell'ipod. mmm...
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: ligpod e ipod nano6g

Messaggioda miklos » sab feb 04, 2012 14:22

ne so molto poco pero' magari riesco a dare comunque uno spunto.. quando ho fatto i pacchetti per slacky ho letto da qualche parte che da un certo modello in poi il database della musica era offuscato e gli strumenti opensource non riuscivano ad accedervi.
pero' c'era la possibilità di dire al device di usare il vecchio formato
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1235
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: ligpod e ipod nano6g

Messaggioda conraid » sab feb 04, 2012 14:51

sembra un cosa per iphone/ipod touch, e non per ipod nano 6g, infatti facendo tutto quello descritto (e quindi installando ifuse) ottengo

Codice: Seleziona tutto
# ifuse /mnt/tmp/
No device found, is it connected?
If it is make sure that your user has permissions to access the raw usb device.
If you're still having issues try unplugging the device and reconnecting it.


ed i permessi sono
Codice: Seleziona tutto
# ls -l /dev/sdb1
brw-rw---- 1 root plugdev 8, 17 feb  4 14:47 /dev/sdb1


se accedo dal filesystem tramite il mount di /dev/sdb1 leggo solo da iPod_Control e non accedo a quel file :-(
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: ligpod e ipod nano6g

Messaggioda hashbang » sab feb 04, 2012 15:56

Stando a quanto dice il sito di libgpod l'iPod Nano 6g non è supportato dalla stabile (0.8.0). Quindi, potrebbe essere che la versione git che hai compilato abbia un supporto, ancora, sperimentale.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1834
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: ligpod e ipod nano6g

Messaggioda metrofox » sab feb 04, 2012 20:38

Teoricamente il database dovrebbe aggiornarsi da solo dopo la sincronizzazione, ma non so :-k
Comunque il problema con ifuse mi capitava anche a me, sbloccavo e ricollegavo l'iPhone e funzionava... Prova a chiedere agli sviluppatori...
Avatar utente
metrofox
Linux 2.6
Linux 2.6
 
Messaggi: 758
Iscritto il: gio ago 07, 2008 11:29
Slackware: slackware64-current
Kernel: 3.4.4-ck3
Desktop: FluxBox-1.3.1
Distribuzione: FreeBSD-8.1(amd64)


Torna a Gnu/Linux in genere

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti

cron